Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.domain.value
Class FromSolutionPropertyPlanningValueRangeDescriptor

    java.lang.Object
      org.optaplanner.core.impl.domain.value.AbstractPlanningValueRangeDescriptor
          org.optaplanner.core.impl.domain.value.FromSolutionPropertyPlanningValueRangeDescriptor

All Implemented Interfaces:
  PlanningValueRangeDescriptor

    public class FromSolutionPropertyPlanningValueRangeDescriptor

extends AbstractPlanningValueRangeDescriptor

Field Summary

Fields inherited from class org.optaplanner.core.impl.domain.value.AbstractPlanningValueRangeDescriptor
`variableDescriptor`

Constructor Summary
`FromSolutionPropertyPlanningValueRangeDescriptor(PlanningVariableDescriptor variableDescriptor, Method readMethod)`

Method Summary
`Collection<?>` | `extractAllValues(Solution solution)`
`Collection<?>` | `extractValues(Solution solution, Object entity)`
`long` | `getValueCount(Solution solution, Object entity)`
`boolean` | `isEntityDependent()`
`boolean` | `isValuesCacheable()`

Methods inherited from class org.optaplanner.core.impl.domain.value.AbstractPlanningValueRangeDescriptor
`getVariableDescriptor, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FromSolutionPropertyPlanningValueRangeDescriptor

    public FromSolutionPropertyPlanningValueRangeDescriptor(PlanningVariableDescriptor variableDescriptor,
                                                            Method readMethod)

Method Detail

### isEntityDependent

    public boolean isEntityDependent()

### extractAllValues

    public Collection<?> extractAllValues(Solution solution)

### extractValues

    public Collection<?> extractValues(Solution solution,
                                       Object entity)

### getValueCount

    public long getValueCount(Solution solution,
                              Object entity)

### isValuesCacheable

    public boolean isValuesCacheable()

  Specified by:
    `isValuesCacheable` in interface `PlanningValueRangeDescriptor`
  Overrides:
    `isValuesCacheable` in class `AbstractPlanningValueRangeDescriptor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.